Package org.jboss.logging.processor.validation

# Class Validator

java.lang.Object
org.jboss.logging.processor.validation.Validator

public final class Validator extends Object
Date: 12.08.2011

Author:
  James R. Perkins

## Constructor Summary

Constructors
Constructor
Description
`Validator(ProcessingEnvironment processingEnv)`

## Method Summary

Modifier and Type
Method
Description
`final Collection<ValidationMessage>`
`validate(MessageInterface messageInterface)`
Validates the message interface and returns a collection of validation messages or an empty collection.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Validator

public Validator(ProcessingEnvironment processingEnv)

## Method Details

### validate

public final Collection<ValidationMessage> validate(MessageInterface messageInterface)
Validates the message interface and returns a collection of validation messages or an empty collection.

Parameters:
  `messageInterface` - the message interface to validate.
Returns:
  a collection of validation messages or an empty collection.